Loading...
Searching...
No Matches
field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardInputIterator >

## Detailed Description

template<class SizeRandomInputIterator, class ScalarForwardInputIterator>
class rheolef::details::field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardInputIterator >

Definition at line 41 of file field_wdof_indirect.h.

## Public Types

using | iterator_category = std::forward_iterator_tag
using | size_type = std::size_t
using | value_type = typename std::iterator_traits< ScalarForwardInputIterator >::value_type
using | reference = const value_type &
using | pointer = const value_type *
using | difference_type = std::ptrdiff_t
using | self_type = field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardInputIterator >

## Public Member Functions

| field_indirect_const_iterator (SizeRandomInputIterator dis_idof_iter, size_type first_dis_idof, ScalarForwardInputIterator val)
const value_type & | operator* () const
self_type & | operator++ ()
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
bool | operator== (const self_type &j) const
bool | operator!= (const self_type &j) const

## Protected Attributes

SizeRandomInputIterator | _dis_idof_iter
size_type | _first_dis_idof
ScalarForwardInputIterator | _val

## Member Typedef Documentation

## iterator_category

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using iterator_category = std::forward_iterator_tag

Definition at line 45 of file field_wdof_indirect.h.

## size_type

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using size_type = std::size_t

Definition at line 46 of file field_wdof_indirect.h.

## value_type

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using value_type = typename std::iterator_traits<ScalarForwardInputIterator>::value_type

Definition at line 47 of file field_wdof_indirect.h.

## reference

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using reference = const value_type&

Definition at line 48 of file field_wdof_indirect.h.

## pointer

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using pointer = const value_type*

Definition at line 49 of file field_wdof_indirect.h.

## difference_type

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using difference_type = std::ptrdiff_t

Definition at line 50 of file field_wdof_indirect.h.

## self_type

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

using self_type = field_indirect_const_iterator<SizeRandomInputIterator,ScalarForwardInputIterator>

Definition at line 51 of file field_wdof_indirect.h.

## Constructor & Destructor Documentation

## field_indirect_const_iterator()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

field_indirect_const_iterator | ( | SizeRandomInputIterator | dis_idof_iter,
|  | size_type | first_dis_idof,
|  | ScalarForwardInputIterator | val
| ) |  |

Definition at line 55 of file field_wdof_indirect.h.

## Member Function Documentation

## operator*()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

const value_type & operator* | ( |  | ) | const

Definition at line 66 of file field_wdof_indirect.h.

## operator++()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

self_type & operator++ | ( |  | ) |

Definition at line 67 of file field_wdof_indirect.h.

## operator+=()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

self_type & operator+= | ( | difference_type | n | ) |

Definition at line 68 of file field_wdof_indirect.h.

## operator+()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

self_type operator+ | ( | difference_type | n | ) | const

Definition at line 69 of file field_wdof_indirect.h.

## operator==()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

bool operator== | ( | const self_type & | j | ) | const

Definition at line 73 of file field_wdof_indirect.h.

## operator!=()

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

bool operator!= | ( | const self_type & | j | ) | const

Definition at line 74 of file field_wdof_indirect.h.

## Member Data Documentation

## _dis_idof_iter

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

SizeRandomInputIterator _dis_idof_iter

protected

Definition at line 77 of file field_wdof_indirect.h.

## _first_dis_idof

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

size_type _first_dis_idof

protected

Definition at line 78 of file field_wdof_indirect.h.

## _val

template<class SizeRandomInputIterator , class ScalarForwardInputIterator >

ScalarForwardInputIterator _val

protected

Definition at line 79 of file field_wdof_indirect.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_wdof_indirect.h